Bug 546648 - GtkItemEntry crash in gtk_entry_real_insert_text
Summary: GtkItemEntry crash in gtk_entry_real_insert_text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk+extra
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Roy Rankin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 546649
TreeView+ depends on / blocked
 
Reported: 2009-12-11 15:28 UTC by Miloslav Trmač
Modified: 2009-12-22 04:57 UTC (History)
1 user (show)

Fixed In Version: 2.1.1-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 546649 (view as bug list)
Environment:
Last Closed: 2009-12-22 04:57:09 UTC


Attachments (Terms of Use)

Description Miloslav Trmač 2009-12-11 15:28:10 UTC
gtk+extra GtkItemEntry in gtk_entry_real_insert_text() manipulates entry->text directly, in particular using g_realloc().

This conflicts with the following code in gtk's gtk_entry_buffer_normal_get_text():

>  if (!buffer->priv->normal_text)
>      return "";
... attempting to g_realloc("", ...);

Version-Release number of selected component (if applicable):
gtk+extra-2.1.1-12.fc12.x86_64
gtk2-2.18.3-22.fc12.x86_64

How reproducible:
e.g. start audit-viewer, create any "report".

Comment 1 Fedora Update System 2009-12-20 07:13:53 UTC
gtk+extra-2.1.1-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gtk+extra-2.1.1-13.fc12

Comment 2 Fedora Update System 2009-12-22 04:57:05 UTC
gtk+extra-2.1.1-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.